Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class Utils

    java.lang.Object
      |
      +--swing.addon.Utils

public final class Utils
extends java.lang.Object

Method Summary
`static void` | `addMenuItemsFrom(java.lang.String[] data, java.lang.String prefix, java.lang.String suffix, PopupMenu menu, java.awt.event.ActionListener listener)`
`static void` | `addMenuItemsFromFile(java.lang.String file, java.lang.String prefix, java.lang.String suffix, PopupMenu menu, java.awt.event.ActionListener listener)`
`static void` | `centerOn(Frame parent, java.awt.Window toCenter)`
`static java.awt.event.MouseListener` | `createMouseListenerForPopupMenu(javax.swing.JComponent c, javax.swing.JPopupMenu menu)`
`static PopupMenu` | `createPopupMenu(javax.swing.JComponent parent, java.lang.String title)`
`static Frame` | `getFrame(java.awt.Component c)`
`static javax.swing.ImageIcon` | `getImageIconFromJarFile(java.lang.String jarfile, java.lang.String nameOfImage)`
`static java.lang.String` | `makeFileURL(java.lang.String filename)`
`static void` | `setBusy(java.awt.Container parent, boolean bool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addMenuItemsFrom

    public static void addMenuItemsFrom(java.lang.String[] data,
                                        java.lang.String prefix,
                                        java.lang.String suffix,
                                        PopupMenu menu,
                                        java.awt.event.ActionListener listener)

### addMenuItemsFromFile

    public static void addMenuItemsFromFile(java.lang.String file,
                                            java.lang.String prefix,
                                            java.lang.String suffix,
                                            PopupMenu menu,
                                            java.awt.event.ActionListener listener)

### centerOn

    public static void centerOn(Frame parent,
                                java.awt.Window toCenter)

### createMouseListenerForPopupMenu

    public static final java.awt.event.MouseListener createMouseListenerForPopupMenu(javax.swing.JComponent c,
                                                                                     javax.swing.JPopupMenu menu)

### createPopupMenu

    public static final PopupMenu createPopupMenu(javax.swing.JComponent parent,
                                                  java.lang.String title)

### getFrame

    public static Frame getFrame(java.awt.Component c)

### getImageIconFromJarFile

    public static javax.swing.ImageIcon getImageIconFromJarFile(java.lang.String jarfile,
                                                                java.lang.String nameOfImage)

### makeFileURL

    public static final java.lang.String makeFileURL(java.lang.String filename)

### setBusy

    public static void setBusy(java.awt.Container parent,
                               boolean bool)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD